{ config, nodes, ... }:
{
  fileSystems = with config.sysusers; with nodes; {
    # Local mounts
    "/persist/storage" = {
      device = "/dev/disk/by-uuid/d0d6783f-ad51-4d85-b8a9-3374f6460ef6";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
        "subvol=storage"
      ];
    };
    "/persist/home/${main}/games" = {
      device = "/dev/disk/by-uuid/d0d6783f-ad51-4d85-b8a9-3374f6460ef6";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
        "subvol=games"
      ];
    };

    # Network mounts
    "/home/${main}/Network/Midas" = {
      device = "[${midas.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${main}/Network/Kitty" = {
      device = "[${kitty.config.deployment.targetHost}]:/storage/bun";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${main}/Network/Prophet" = {
      device = "[${prophet.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
